Subject: Re: bug#17630: 24.3.91; gv expander for a few places are incorrect

From: Stefan Monnier <[email-masked]>
Date: Fri, 30 May 2014 12:20:49 -0400

> Yes but the situation is both odd and logical. Due to the naming of the
> setter the WINDOW arg naturally should appear first. For example:
>   (set-window-parameter PARAMETER VALUE &optional WINDOW)
> is less clear. Making the WINDOW arg required in the getter has
> downsides as well.

Indeed.  So I guess the better fix is to use gv-define-setter, indeed.
BTW, IIRC these setter definitions come straight from the old CL code,
so this bug has been with us for a while.

        Stefan